Manage orders - Get an offer by id
Retrieves an offer by its identifier of a partner using country or region and locale information.
GET https://api.partnercenter.microsoft.com/v{version}/offers/{offer_id}?country={country}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
offer_id
|
path | True |
string |
The offer identifier. |
|
version
|
path | True |
string |
The API version number. |
|
country
|
query | True |
string |
The two-letter country or region code. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
|
| Accept | True |
string |
Typically application/json. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The requested partner's offers information is returned in the response body. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
| Name | Description |
|---|---|
|
Contracts. |
Additional product associated with the offer. |
|
Contracts. |
Represents a offer resource. |
|
Contracts. |
Additional attestation properties associated with the offer. |
|
Contracts. |
The category associated with this item. |
|
Contracts. |
Links to related resources. |
| Link |
Represents a link resource. |
|
Resource |
Represents a resource attributes resource. |
|
Resource |
Represents a resource links resource. |
|
String |
Represents a key value pair resource. |
|
Supported |
The collection of supported billing cycles associated with this offer. |
|
Supported |
The collection of supported catalog types associated with this offer. |
Contracts.V1.Models.Enums.OfferProduct
Additional product associated with the offer.
| Name | Type | Description |
|---|---|---|
| id |
string |
Unique identifier for the offer product. Value is typically a GUID. |
| name |
string |
The name of this item. |
| type |
string |
The type of an offer product. |
| unit |
string |
The unit for the offer product. |
Contracts.V1.Models.Offer
Represents a offer resource.
| Name | Type | Description |
|---|---|---|
| acquisitionType |
enum:
|
The acquisition type for the offer. Possible values include: 'purchase', 'referral'. |
| actions |
string[] |
The collection of actions associated with this offer. |
| additionalProperties |
object |
Additional additional properties associated with the offer. |
| attestationProperties |
Additional attestation properties associated with the offer. |
|
| attributes |
Additional attributes associated with the offer. |
|
| billing |
enum:
|
The billing for the offer. Possible values include: 'none', 'usage', 'license'. |
| category |
The category associated with this item. |
|
| conversionTargetOffers |
string[] |
The collection of conversion target offers associated with this offer. |
| country |
string |
The two-letter country or region code. |
| description |
string |
The description of this item. |
| hasAddOns |
boolean |
Whether has add ons. |
| id |
string |
Unique identifier for the offer. Value is typically a GUID. |
| isAddOn |
boolean |
Whether is add on. |
| isAutoRenewable |
boolean |
Whether is auto renewable. |
| isAvailableForPurchase |
boolean |
Whether is available for purchase. |
| isInternal |
boolean |
Whether is internal. |
| isMicrosoftProduct |
boolean |
Whether is microsoft product. |
| isTrial |
boolean |
Whether is trial. |
| limit |
integer (int32) |
The limit for the offer. |
| limitUnitOfMeasure |
string |
The limit unit of measure for the offer. |
| links |
Links to related resources. |
|
| locale |
string |
The locale used for this item. |
| maximumQuantity |
integer (int32) |
The maximum quantity for the offer. |
| minimumQuantity |
integer (int32) |
The minimum quantity for the offer. |
| name |
string |
The name of this item. |
| orderService |
string |
The order service for the offer. |
| prerequisiteOffers |
string[] |
The collection of prerequisite offers associated with this offer. |
| product |
Additional product associated with the offer. |
|
| providerId |
string |
The unique identifier of the provider. Value is typically a GUID. |
| providerLocationId |
string |
The unique identifier of the provider location. Value is typically a GUID. |
| providerName |
string |
The provider name for the offer. |
| rank |
integer (int32) |
The rank for the offer. |
| reselleeQualifications |
string[] |
The collection of resellee qualifications associated with this offer. |
| resellerQualifications |
string[] |
The collection of reseller qualifications associated with this offer. |
| salesGroupId |
string |
The unique identifier of the sales group. Value is typically a GUID. |
| supportedBillingCycles |
The collection of supported billing cycles associated with this offer. |
|
| supportedCatalogTypes |
The collection of supported catalog types associated with this offer. |
|
| term |
integer (int32) |
The term for the offer. |
| termUnitOfMeasure |
string |
The term unit of measure for the offer. |
| unitType |
string |
The unit type for the offer. |
| upgradeTargetOffers |
string[] |
The collection of upgrade target offers associated with this offer. |
| uri |
string |
The URI for the related resource. |
Contracts.V1.Models.OfferAttestationProperties
Additional attestation properties associated with the offer.
| Name | Type | Description |
|---|---|---|
| attestationType |
string |
The attestation type for the offer attestation properties. |
| enforceAttestation |
boolean |
Whether this offer attestation properties enforce attestation. |
Contracts.V1.Models.OfferCategory
The category associated with this item.
| Name | Type | Description |
|---|---|---|
| attributes |
Additional attributes associated with the offer category. |
|
| country |
string |
The two-letter country or region code. |
| id |
string |
Unique identifier for the offer category. Value is typically a GUID. |
| links |
Links to related resources. |
|
| locale |
string |
The locale used for this item. |
| name |
string |
The name of this item. |
| rank |
integer (int32) |
The rank for the offer category. |
Contracts.V1.Models.OfferLinks
Links to related resources.
| Name | Type | Description |
|---|---|---|
| learnMore |
Additional learn more associated with the offer links. |
|
| next |
Additional next associated with the offer links. |
|
| previous |
Additional previous associated with the offer links. |
|
| self |
Additional self associated with the offer links. |
Link
Represents a link resource.
| Name | Type | Description |
|---|---|---|
| body |
string |
The body for the link. |
| headers |
The collection of headers associated with this link. |
|
| method |
string |
The method for the link. |
| uri |
string |
The URI for the related resource. |
ResourceAttributes
Represents a resource attributes resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
The entity tag used for concurrency control. |
| objectType |
string |
The object type for the resource attributes. |
ResourceLinks
Represents a resource links resource.
| Name | Type | Description |
|---|---|---|
| next |
Additional next associated with the resource links. |
|
| previous |
Additional previous associated with the resource links. |
|
| self |
Additional self associated with the resource links. |
StringStringKeyValuePair
Represents a key value pair resource.
| Name | Type | Description |
|---|---|---|
| key |
string |
The key for the key value pair. |
| value |
string |
The value for the key value pair. |
SupportedBillingCycles
The collection of supported billing cycles associated with this offer.
| Value | Description |
|---|---|
| unknown | |
| monthly | |
| annual | |
| none | |
| one_time | |
| triennial | |
| biennial | |
| quadrennial | |
| quinquennial |
SupportedCatalogTypes
The collection of supported catalog types associated with this offer.
| Value | Description |
|---|---|
| sandbox | |
| live |